package com.lovecoding.day12.interface03;

public class TestSFVar {

    public static void main(String[] args) {
        DDD ddd = new DDD();
        ddd.show();
    }
}

class AAA{
    public static final int b =  1;
    public int a =  10;
}

interface BBB {
    public static final int a =  2;
}
interface CCC {
    public static final int a =  3;
}
class DDD extends AAA implements  BBB,CCC{

    public void show(){
        //模糊
        //System.out.println(a);
        //AAA常量
        System.out.println(AAA.b);
        //父类
        System.out.println(super.a);
        //接口
        System.out.println(BBB.a);
    }

}